package org.objectweb.speedo.j2eedo.ejb;
import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

import org.objectweb.speedo.j2eedo.common.PMHolder;
import org.objectweb.speedo.j2eedo.bo.DatabaseImpl;
/**
 * Class StoreServicesBean
 * 
 * @author S.Rodiere
 *  
 */
public class StoreServicesBean implements SessionBean {
	private DatabaseImpl databaseImpl = null;
	private SessionContext context;
	/**
	 * Constructor StoreServicesBean
	 * 
	 *  
	 */
	public StoreServicesBean() {
	}
	/**
	 * Method ejbCreate
	 * 
	 * @throws CreateException
	 *  
	 */
	public void ejbCreate() throws CreateException {
	}
	/**
	 * Method ejbActivate
	 * 
	 *  
	 */
	public void ejbActivate() {
	}
	/**
	 * Method ejbPassivate
	 * 
	 *  
	 */
	public void ejbPassivate() {
	}
	/**
	 * Method ejbRemove
	 * 
	 *  
	 */
	public void ejbRemove() {
	}
	/**
	 * Method setSessionContext
	 * 
	 * @param ctx
	 *  
	 */
	public void setSessionContext(SessionContext ctx) {
		context = ctx;
	}
	/**
	 * @param persistenceManagerHolder is the persistence manager holder
	 * @param action is the action to be done
	 * @see org.objectweb.speedo.j2eedo.database.DatabaseImpl
	 * @return result of the method as a string
	 * @throws Exception
	 */
	public String doAction(PMHolder persistenceManagerHolder, String action)
		throws Exception {
		if (null == this.databaseImpl)
			databaseImpl = new DatabaseImpl(persistenceManagerHolder);
		return databaseImpl.doAction(action);
	}
}
